// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/SendLocalList.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace SendLocalList {

  /// <summary>Holder for reflection information generated from command/charger/SendLocalList.proto</summary>
  public static partial class SendLocalListReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/SendLocalList.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static SendLocalListReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNjb21tYW5kL2NoYXJnZXIvU2VuZExvY2FsTGlzdC5wcm90bxIPc2VuZF9s",
            "b2NhbF9saXN0Gh9jb21tYW5kL2NoYXJnZXIvSWRUYWdJbmZvLnByb3RvIt8C",
            "ChRTZW5kTG9jYWxMaXN0Q29tbWFuZBIUCgxsaXN0X3ZlcnNpb24YASABKAUS",
            "WQoYbG9jYWxfYXV0aG9yaXphdGlvbl9saXN0GAIgAygLMjcuc2VuZF9sb2Nh",
            "bF9saXN0LlNlbmRMb2NhbExpc3RDb21tYW5kLkF1dGhvcml6YXRpb25EYXRh",
            "EkUKC3VwZGF0ZV90eXBlGAMgASgOMjAuc2VuZF9sb2NhbF9saXN0LlNlbmRM",
            "b2NhbExpc3RDb21tYW5kLlVwZGF0ZVR5cGUaZQoRQXV0aG9yaXphdGlvbkRh",
            "dGESDgoGaWRfdGFnGAEgASgJEjAKC2lkX3RhZ19pbmZvGAIgASgLMhYuaWRf",
            "dGFnX2luZm8uSWRUYWdJbmZvSACIAQFCDgoMX2lkX3RhZ19pbmZvIigKClVw",
            "ZGF0ZVR5cGUSEAoMRGlmZmVyZW50aWFsEAASCAoERnVsbBABIrsBChxTZW5k",
            "TG9jYWxMaXN0Q29tbWFuZFJlc3BvbnNlEkoKBnN0YXR1cxgBIAEoDjI6LnNl",
            "bmRfbG9jYWxfbGlzdC5TZW5kTG9jYWxMaXN0Q29tbWFuZFJlc3BvbnNlLlVw",
            "ZGF0ZVN0YXR1cyJPCgxVcGRhdGVTdGF0dXMSDAoIQWNjZXB0ZWQQABIKCgZG",
            "YWlsZWQQARIQCgxOb3RTdXBwb3J0ZWQQAhITCg9WZXJzaW9uTWlzbWF0Y2gQ",
            "A0KLAQohY29tLmNvZGlibHkubW9kZWwuY29tbWFuZC5jaGFyZ2VyQhJTZW5k",
            "TG9jYWxMaXN0UHJvdG/KAiFEb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENo",
            "YXJnZXLiAi1Eb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENoYXJnZXJcR1BC",
            "TWV0YWRhdGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::IdTagInfo.IdTagInfoReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::SendLocalList.SendLocalListCommand), global::SendLocalList.SendLocalListCommand.Parser, new[]{ "ListVersion", "LocalAuthorizationList", "UpdateType" }, null, new[]{ typeof(global::SendLocalList.SendLocalListCommand.Types.UpdateType) }, null, new pbr::GeneratedClrTypeInfo[] { new pbr::GeneratedClrTypeInfo(typeof(global::SendLocalList.SendLocalListCommand.Types.AuthorizationData), global::SendLocalList.SendLocalListCommand.Types.AuthorizationData.Parser, new[]{ "IdTag", "IdTagInfo" }, new[]{ "IdTagInfo" }, null, null, null)}),
            new pbr::GeneratedClrTypeInfo(typeof(global::SendLocalList.SendLocalListCommandResponse), global::SendLocalList.SendLocalListCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class SendLocalListCommand : pb::IMessage<SendLocalListCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<SendLocalListCommand> _parser = new pb::MessageParser<SendLocalListCommand>(() => new SendLocalListCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<SendLocalListCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::SendLocalList.SendLocalListReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommand(SendLocalListCommand other) : this() {
      listVersion_ = other.listVersion_;
      localAuthorizationList_ = other.localAuthorizationList_.Clone();
      updateType_ = other.updateType_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommand Clone() {
      return new SendLocalListCommand(this);
    }

    /// <summary>Field number for the "list_version" field.</summary>
    public const int ListVersionFieldNumber = 1;
    private int listVersion_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ListVersion {
      get { return listVersion_; }
      set {
        listVersion_ = value;
      }
    }

    /// <summary>Field number for the "local_authorization_list" field.</summary>
    public const int LocalAuthorizationListFieldNumber = 2;
    private static readonly pb::FieldCodec<global::SendLocalList.SendLocalListCommand.Types.AuthorizationData> _repeated_localAuthorizationList_codec
        = pb::FieldCodec.ForMessage(18, global::SendLocalList.SendLocalListCommand.Types.AuthorizationData.Parser);
    private readonly pbc::RepeatedField<global::SendLocalList.SendLocalListCommand.Types.AuthorizationData> localAuthorizationList_ = new pbc::RepeatedField<global::SendLocalList.SendLocalListCommand.Types.AuthorizationData>();
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public pbc::RepeatedField<global::SendLocalList.SendLocalListCommand.Types.AuthorizationData> LocalAuthorizationList {
      get { return localAuthorizationList_; }
    }

    /// <summary>Field number for the "update_type" field.</summary>
    public const int UpdateTypeFieldNumber = 3;
    private global::SendLocalList.SendLocalListCommand.Types.UpdateType updateType_ = global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::SendLocalList.SendLocalListCommand.Types.UpdateType UpdateType {
      get { return updateType_; }
      set {
        updateType_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as SendLocalListCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(SendLocalListCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ListVersion != other.ListVersion) return false;
      if(!localAuthorizationList_.Equals(other.localAuthorizationList_)) return false;
      if (UpdateType != other.UpdateType) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ListVersion != 0) hash ^= ListVersion.GetHashCode();
      hash ^= localAuthorizationList_.GetHashCode();
      if (UpdateType != global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential) hash ^= UpdateType.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ListVersion != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ListVersion);
      }
      localAuthorizationList_.WriteTo(output, _repeated_localAuthorizationList_codec);
      if (UpdateType != global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential) {
        output.WriteRawTag(24);
        output.WriteEnum((int) UpdateType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ListVersion != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ListVersion);
      }
      localAuthorizationList_.WriteTo(ref output, _repeated_localAuthorizationList_codec);
      if (UpdateType != global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential) {
        output.WriteRawTag(24);
        output.WriteEnum((int) UpdateType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ListVersion != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ListVersion);
      }
      size += localAuthorizationList_.CalculateSize(_repeated_localAuthorizationList_codec);
      if (UpdateType != global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) UpdateType);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(SendLocalListCommand other) {
      if (other == null) {
        return;
      }
      if (other.ListVersion != 0) {
        ListVersion = other.ListVersion;
      }
      localAuthorizationList_.Add(other.localAuthorizationList_);
      if (other.UpdateType != global::SendLocalList.SendLocalListCommand.Types.UpdateType.Differential) {
        UpdateType = other.UpdateType;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ListVersion = input.ReadInt32();
            break;
          }
          case 18: {
            localAuthorizationList_.AddEntriesFrom(input, _repeated_localAuthorizationList_codec);
            break;
          }
          case 24: {
            UpdateType = (global::SendLocalList.SendLocalListCommand.Types.UpdateType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ListVersion = input.ReadInt32();
            break;
          }
          case 18: {
            localAuthorizationList_.AddEntriesFrom(ref input, _repeated_localAuthorizationList_codec);
            break;
          }
          case 24: {
            UpdateType = (global::SendLocalList.SendLocalListCommand.Types.UpdateType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the SendLocalListCommand message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum UpdateType {
        [pbr::OriginalName("Differential")] Differential = 0,
        [pbr::OriginalName("Full")] Full = 1,
      }

      public sealed partial class AuthorizationData : pb::IMessage<AuthorizationData>
      #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          , pb::IBufferMessage
      #endif
      {
        private static readonly pb::MessageParser<AuthorizationData> _parser = new pb::MessageParser<AuthorizationData>(() => new AuthorizationData());
        private pb::UnknownFieldSet _unknownFields;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pb::MessageParser<AuthorizationData> Parser { get { return _parser; } }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pbr::MessageDescriptor Descriptor {
          get { return global::SendLocalList.SendLocalListCommand.Descriptor.NestedTypes[0]; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        pbr::MessageDescriptor pb::IMessage.Descriptor {
          get { return Descriptor; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public AuthorizationData() {
          OnConstruction();
        }

        partial void OnConstruction();

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public AuthorizationData(AuthorizationData other) : this() {
          idTag_ = other.idTag_;
          idTagInfo_ = other.idTagInfo_ != null ? other.idTagInfo_.Clone() : null;
          _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public AuthorizationData Clone() {
          return new AuthorizationData(this);
        }

        /// <summary>Field number for the "id_tag" field.</summary>
        public const int IdTagFieldNumber = 1;
        private string idTag_ = "";
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string IdTag {
          get { return idTag_; }
          set {
            idTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }

        /// <summary>Field number for the "id_tag_info" field.</summary>
        public const int IdTagInfoFieldNumber = 2;
        private global::IdTagInfo.IdTagInfo idTagInfo_;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public global::IdTagInfo.IdTagInfo IdTagInfo {
          get { return idTagInfo_; }
          set {
            idTagInfo_ = value;
          }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override bool Equals(object other) {
          return Equals(other as AuthorizationData);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public bool Equals(AuthorizationData other) {
          if (ReferenceEquals(other, null)) {
            return false;
          }
          if (ReferenceEquals(other, this)) {
            return true;
          }
          if (IdTag != other.IdTag) return false;
          if (!object.Equals(IdTagInfo, other.IdTagInfo)) return false;
          return Equals(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override int GetHashCode() {
          int hash = 1;
          if (IdTag.Length != 0) hash ^= IdTag.GetHashCode();
          if (idTagInfo_ != null) hash ^= IdTagInfo.GetHashCode();
          if (_unknownFields != null) {
            hash ^= _unknownFields.GetHashCode();
          }
          return hash;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override string ToString() {
          return pb::JsonFormatter.ToDiagnosticString(this);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void WriteTo(pb::CodedOutputStream output) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          output.WriteRawMessage(this);
        #else
          if (IdTag.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(IdTag);
          }
          if (idTagInfo_ != null) {
            output.WriteRawTag(18);
            output.WriteMessage(IdTagInfo);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(output);
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
          if (IdTag.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(IdTag);
          }
          if (idTagInfo_ != null) {
            output.WriteRawTag(18);
            output.WriteMessage(IdTagInfo);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(ref output);
          }
        }
        #endif

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public int CalculateSize() {
          int size = 0;
          if (IdTag.Length != 0) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(IdTag);
          }
          if (idTagInfo_ != null) {
            size += 1 + pb::CodedOutputStream.ComputeMessageSize(IdTagInfo);
          }
          if (_unknownFields != null) {
            size += _unknownFields.CalculateSize();
          }
          return size;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(AuthorizationData other) {
          if (other == null) {
            return;
          }
          if (other.IdTag.Length != 0) {
            IdTag = other.IdTag;
          }
          if (other.idTagInfo_ != null) {
            if (idTagInfo_ == null) {
              IdTagInfo = new global::IdTagInfo.IdTagInfo();
            }
            IdTagInfo.MergeFrom(other.IdTagInfo);
          }
          _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(pb::CodedInputStream input) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          input.ReadRawMessage(this);
        #else
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
                break;
              case 10: {
                IdTag = input.ReadString();
                break;
              }
              case 18: {
                if (idTagInfo_ == null) {
                  IdTagInfo = new global::IdTagInfo.IdTagInfo();
                }
                input.ReadMessage(IdTagInfo);
                break;
              }
            }
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
                break;
              case 10: {
                IdTag = input.ReadString();
                break;
              }
              case 18: {
                if (idTagInfo_ == null) {
                  IdTagInfo = new global::IdTagInfo.IdTagInfo();
                }
                input.ReadMessage(IdTagInfo);
                break;
              }
            }
          }
        }
        #endif

      }

    }
    #endregion

  }

  public sealed partial class SendLocalListCommandResponse : pb::IMessage<SendLocalListCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<SendLocalListCommandResponse> _parser = new pb::MessageParser<SendLocalListCommandResponse>(() => new SendLocalListCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<SendLocalListCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::SendLocalList.SendLocalListReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommandResponse(SendLocalListCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public SendLocalListCommandResponse Clone() {
      return new SendLocalListCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus status_ = global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as SendLocalListCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(SendLocalListCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(SendLocalListCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::SendLocalList.SendLocalListCommandResponse.Types.UpdateStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the SendLocalListCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum UpdateStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Failed")] Failed = 1,
        [pbr::OriginalName("NotSupported")] NotSupported = 2,
        [pbr::OriginalName("VersionMismatch")] VersionMismatch = 3,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
